MediaWiki:Common.css: Unterschied zwischen den Versionen

aus GlossarWiki, der Glossar-Datenbank der Fachhochschule Augsburg
Kowa (Diskussion | Beiträge)
Keine Bearbeitungszusammenfassung
Kowa (Diskussion | Beiträge)
Keine Bearbeitungszusammenfassung
Zeile 1: Zeile 1:
/* CSS an dieser Stelle wirkt sich auf alle Skins aus */
[[Kategorie:DV-Anwendungen in der Technik]]
 
:target::before
{ content:"";
  position:relative;
  height: 55px;
  margin-top: -55px;
  display: block;
}
 
a.mw-selflink
{
  color: #333;
  font-weight: bold;
}
 
a:visited,a.new:visited, #p-personal a.new:visited,
{
  color: #337ab7 !important;
}
 
h5
{
  font-weight: bold;
}
 
p
{
  max-width: 45em;
  overflow: hidden
}
 
p.no-max-width
{
  max-width: none;
}
 
pre, code, tt, .mw-geshi
{
  font-family: consolas, "courier new", courier, monospace;
  font-size:  107%;
}
 
.mw-content-ltr
{
    margin-top: 1em;
    margin-bottom: 1em;
}
 
.mw-code
{
  font-family: consolas, "courier new", courier, monospace;
  font-size:  95%;
  max-width: 57em;
}
 
pre
{
  max-width: 57em;
}
 
code
{
    color: #000;
    background-color: #FFF;
    border: 0;
    border-radius: 0;
    padding: 0 0;
}
 
td
{
  padding: 0.2em;
}
 
#toc ul
{
  margin-left: -0.5em !important;
}
 
#bodyContent  ul
{
  list-style-type: none !important;
}
 
#bodyContent  ul, #bodyContent  ol
{
  overflow: hidden;
  max-width: 43.4em;
}
 
.mw-body ul
{
  list-style: none !important;
}
 
.mw-body ul, .mw-body ol
{
  padding-left: 0ex !important;
  padding-bottom: 0ex !important;
}
 
#bodyContent .inputSpan ul > li::before, 
#bodyContent .redirectMsg ul > li::before,
li#mw-imagepage-reupload-link::before,
li#mw-imagepage-upload-disallowed::before
{
  content: "" !important;
}
 
li#mw-imagepage-reupload-link .plainlinks,
li#mw-imagepage-upload-disallowed
{
  text-indent: -1.6em !important;
}
 
#bodyContent ul > li::before
{
  content: "\2013 \0020";
}
 
.select2-container-multi .select2-search-choice-close {
    left: -15px !important;
}
 
#bodyContent  ol > li
{
  margin-left: 1.6em;
}
#bodyContent  ul > li
{
  text-indent: -0.9em;
  margin-left: 1.6em;
}
 
#bodyContent ul > li.gallerybox
{
  text-indent: 0;
}
 
#bodyContent .rightfloat  ul > li
{
  margin-left: 3.9em !important;
}
 
#bodyContent #mw-subcategories ul > li::before,
#toc ul > li::before,
.toc ul > li::before,
#bodyContent  .ms-list > li::before,
#bodyContent .gallerybox::before,
#bodyContent  ul#filetoc > li::before
{
  content: none !important;
}
 
.mw-search-profile-tabs .search-types a
{
  display: inline !important;
  padding: 0 !important;
}
 
.mw-search-result-heading
{
  display: inline !important;
}
 
.mw-search-results .searchresult, .mw-search-result-data
{
  text-indent: 0
}
 
li
{
  max-width: 50em;
}
 
dd
{
  max-width: 50em;
}
 
.thumbinner
{
  margin-bottom: 0 !important;
}
 
.mw-headline
{
  padding-top: 0px !important;
}
 
#mw-createaccount-cta, #pt-createaccount
{
  display: none !important;
}
 
.mw-highlight {
    background: #ffffff !important;
}
 
.wiki_warning_01
{
  margin: 0px 0px 7px 0px;
  padding: 1ex;
  border: 2px solid #c000c0;
  font-size: 95%
}
 
.wiki_warning_02
{
  margin: 0px 0px 7px 0px;
  border: 4px solid #ff0000;
  font-size: 95%
}
 
.wiki_highlight_01
{
  margin: 0px 0px 7px 0px;
  padding: 1ex;
  border: 2px solid #00c0c0;
  font-size: 95%
}
 
.wiki_disambiguation_01
{
  border: 1px solid #aaa;
  border-width:2px 0 2px 0;
  background-color: #f9f9f9;
  padding: 5px 5px 0px 5px;
  margin: 0px 0px 7px 0px;
  font-size:100%;
}
 
div.inline * {display:inline}
 
.mw-codeX
{
  max-width: 48em;
}
 
.formInput
{
  width: 30em
}
 
.formula
{
  display: block;
  margin:  0 0 1ex 1em;
}
 
.regular
{
  font-style: regular;
}
 
.quote
{
  display: block;
  font-style: italic;
  margin:  0 0 1ex 1em;
  max-width: 43em;
  overflow: hidden;
}
 
.quote em, .quote i, i em, em em, em i
{
  font-style: normal;
}
 
.quote2
{
  display: block;
  font-style: normal;
  margin:  0 0 0 1em;
  max-width: 44em;
}
 
 
.indent
{
  display: block;
  margin:  0 0 0 1em;
}
 
.table_biblio
{
  margin:    0 0 1em 1em;
  font-size: 95%;
  max-width: 45em;
}
 
.table_biblio td
{
  padding: 4;
}
 
.table_no_border
{
  margin: 1em 1em 1em 0;
  border: 0;
  background: white;
  border-collapse: collapse
}
 
.subtable
{
  text-align:left;
  background-color: #EEEEFF !important;
  font-weight:bold
}
 
.datatable,
.datatable-rt,
.datatable-modules,
.datatable-sql
{
  margin: 1ex 1em 1ex 0;
  border:1px #aaa solid;
  background:white;
  border-collapse:collapse;
}
 
.datatable th, .datatable td,
.datatable-rt th,.datatable-rt td,
.datatable-modules th,.datatable-modules td,
.datatable-sql th,.datatable-sql td
{
  border:1px #aaa solid;
  padding:1ex
}
 
.datatable-sql th,.datatable-sql td
{
  font-family: consolas, "courier new", courier, monospace;
  font-size:  95%;
}
 
.datatable tbody tr:nth-child(odd)  td,
.datatable-rt tbody tr:nth-child(odd)  td,
.datatable-sql tbody tr:nth-child(odd)  td
  background-color: #eee;
}
 
.datatable-modules tbody tr:nth-child(odd)  td
  background-color: #fcfcfc;
}
 
.datatable th,
.datatable-rt th,
.datatable-modules th,
.datatable-sql th
{
  vertical-align:top;
  text-align:left;
  background-color: #ccc;
  font-weight:bold
}
 
.datatable td,
.datatable-rt td,
.datatable-modules td,
.datatable-sql td
{
  vertical-align: top;
}
 
@media (max-width: 47.9375em) {
  .datatable-rt {
    border:0;
    padding-bottom: 1.4375em;
    padding-bottom: 0;
    display: block;
    width: 100%;
    /*
    * make everything display block so it
    * aligns vertically
    */
    /* Labeling
    * adding a data-title attribute to the cells
    * lets us add text before the content to provide
    * the missing context
    *
    * Markup:
    *  <td data-title="Column Header">Content Here</td>
    *
    * Display:
    *  Column Header: Content Here
    */
  }
  .datatable-rt caption {
    display: block;
  }
  .datatable-rt thead, .datatable-rt tbody tr:first-child {
    display: none;
    visibility: hidden;
  }
  .datatable-rt tbody {
    border:0;
    display: block;
    padding: 0;
    text-align: left;
    white-space: normal;
  }
  .datatable-rt tr, .datatable-rt td {
    border:1px #aaa solid;
    display: block;
    padding: 0;
    text-align: left;
    white-space: normal;
  }
  .datatable-rt tr {
    margin-bottom: 1.5em;
  }
  .datatable-rt th[data-title]:before,
  table td[data-title]:before {
    content: attr(data-title) "\a";
    font-weight: bold;
    white-space: pre;
  }
  .datatable-rt th:not([data-title]) {
    font-weight: bold;
  }
  .datatable-rt td:empty {
    display: none;
  }
}
 
 
.citetable
{
  margin: 1em 1em 1em 0;
  border:1px #aaa solid;
  background:white;
  border-collapse:collapse;
}
.citetable th,.citetable td
{
  border:1px #aaa solid;
  padding:1ex;
  max-width: 400px;
  word-wrap: break-word;
}
 
.citetable th
{
  text-align:center;
  background-color: #EEEEFF;
  font-weight:bold
}
 
.citetable td
{
  vertical-align: top;
}
 
 
.menutable
{
  margin: 0 0 1em 0;
  border: 0;
  background: white;
  border-collapse:collapse
}
 
.menutable p
{
  margin: 0;
}
 
div.floatright
{
  clear: right;
  float: right;
  margin: 0.5em 0 0.8em 1.4em;
  position: relative;
}
 
div.floatleft
{
  clear: left;
  float: left;
  margin: 0.5em 0 0.8em 1.4em;
  position: relative;
}
 
.mw-code
{
  margin:  0 0 1ex 1em;
}
/* Add arrows to toggle-blocks for collapsible elements */
.mw-collapsible-arrowtoggle.mw-collapsible-toggle-expanded {
padding-left: 20px !important;
background-image: url('//upload.wikimedia.
org/wikipedia/commons/1/10/MediaWiki_Vector_skin_action_arrow.png');
background-repeat: no-repeat;
background-position: center left;
}
.mw-collapsible-arrowtoggle.mw-collapsible-toggle-collapsed {
padding-left: 20px !important;
background-image: url('//upload.wikimedia.org/wikipedia/commons/4/41/MediaWiki_Vector_skin_right_arrow.png');
background-repeat: no-repeat;
background-position: center left;
}
.action a img
{ margin: -5px 0 0 -16px !important;
}
 
.bg1 { background-color: #ffd890 }
.bg2 { background-color: #b4fff1 }
.bg3 { background-color: #c6e894 }
.bg4 { background-color: #e89898 }
.bg5 { background-color: #c6acff }
 
 
/* Wikipedia */
table > * > tr.hintergrundfarbe1 > th, table > * > tr > th.hintergrundfarbe1, table.hintergrundfarbe1, .hintergrundfarbe1 {
    background-color: #f9f9f9;
}
table > * > tr.hintergrundfarbe2 > th, table > * > tr > th.hintergrundfarbe2, table.hintergrundfarbe2, .hintergrundfarbe2 {
    background-color: #fff;
}
table > * > tr.hintergrundfarbe3 > th, table > * > tr > th.hintergrundfarbe3, table.hintergrundfarbe3, .hintergrundfarbe3 {
    background-color: #ffff40;
}
table > * > tr.hintergrundfarbe4 > th, table > * > tr > th.hintergrundfarbe4, table.hintergrundfarbe4, .hintergrundfarbe4 {
    background-color: #fa0;
}
table > * > tr.hintergrundfarbe5 > th, table > * > tr > th.hintergrundfarbe5, table.hintergrundfarbe5, .hintergrundfarbe5 {
    background-color: #e0e0e0;
}
table > * > tr.hintergrundfarbe6 > th, table > * > tr > th.hintergrundfarbe6, table.hintergrundfarbe6, .hintergrundfarbe6 {
    background-color: #b3b7ff;
}
table > * > tr.hintergrundfarbe7 > th, table > * > tr > th.hintergrundfarbe7, table.hintergrundfarbe7, .hintergrundfarbe7 {
    background-color: #ffcbcb;
}
table > * > tr.hintergrundfarbe8 > th, table > * > tr > th.hintergrundfarbe8, table.hintergrundfarbe8, .hintergrundfarbe8 {
    background-color: #ffebad;
}
table > * > tr.hintergrundfarbe9 > th, table > * > tr > th.hintergrundfarbe9, table.hintergrundfarbe9, .hintergrundfarbe9 {
    background-color: #b9ffc5;
}
 
/* Studienpläne */
 
.bgdgrey, .bgdgrau
{ background: #555; }
 
.bggrey, .bggrau
{ background: #999; }
.bgorange
{ background: #f60; }
 
.bgblue, .bgblau
{ background: #36c; }
 
.bgred, .bgrot
{ background: #c03; }
 
.bgdgrey a, .bgdgrau a
{ color:      #fff; }
 
.bggrey a, .bggrau a
{ color:      #fff; }
 
.bgorange a
{ color:      #fff; }
 
.bgblue a, .bgblau a
{ color:      #fff; }
 
.bgred a, .bgrot a
{ color:      #fff; }
 
.grey, .grau 
{ color: #999; }
 
.dgrey, .dgrau 
{ color: #666; }
 
.orange 
{ color: #f60; }
.white
{ color: #fff; }
 
.amber
{ color: #f60; }
 
.blue, .blau
{ color: #36c; }
 
.studienplan
{ border-collapse: collapse; }
 
.studienplan tr
{ height: 1em; }
 
.studienplan td
{ border:        1px solid #222;
  vertical-align: text-top;
  padding:        5px 5px 5px 5px;
  width:          auto;
}
 
.studienplan td.noborder
{ border: 0px; }
 
.studienplan
{ border-collapse: collapse; }
 
.studienplan > * > td
{ border: 1px solid #222; }
 
table.wikitable > * > tr > th {
    background-color: #ddd !important;
    text-align: top !important;
}

Version vom 24. April 2019, 08:49 Uhr